summaryrefslogtreecommitdiff
path: root/dmake/tests
diff options
context:
space:
mode:
authorVladimir Glazounov <vg@openoffice.org>2006-09-25 08:46:55 +0000
committerVladimir Glazounov <vg@openoffice.org>2006-09-25 08:46:55 +0000
commitc0ab0af0fcd0f6c6368698027d0a37cbc794ad7e (patch)
tree1a0d52b642837323a491ecb6d29e572fef08608e /dmake/tests
parentc2357812e2d9771e275cddb8744a559802f1ede9 (diff)
INTEGRATION: CWS dmake46 (1.1.2); FILE ADDED
2006/09/24 23:57:08 vq 1.1.2.2: #i69818# Fix testcase. 2006/07/10 21:01:39 vq 1.1.2.1: #i66567# Add testcase and mention the new warning in the NEWS file.
Diffstat (limited to 'dmake/tests')
-rw-r--r--dmake/tests/targets-1247
1 files changed, 47 insertions, 0 deletions
diff --git a/dmake/tests/targets-12 b/dmake/tests/targets-12
new file mode 100644
index 000000000000..ba9982c4f6be
--- /dev/null
+++ b/dmake/tests/targets-12
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# 10.07.2006 Volker Quetschke
+# Check that dmake warns if it encounters .SUFFIXES
+# (issue 66567)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Check that we issue a warning.
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.SUFFIXES : .aa .bb
+
+all: ; @echo OK
+EOT
+
+output1=`eval ${DMAKEPROG} -vw -rf $file1 2>&1 `
+result1=$?
+
+if echo $output1 | grep 'Warning: -- The .SUFFIXES' > /dev/null 2>&1 ; then
+ dummy=1
+ # OK
+else
+ echo "Test 1: Wrong result: $output1"
+ echo
+ result1=1
+fi
+
+if test $result1 -eq 0 ; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+ result=0
+else
+ echo "Failure! dmake failed to issue a warning."
+ result=1
+fi
+exit $result